(use-modules (gnu)
             ((gnu packages autotools) #:select (autoconf automake))
             ((gnu packages compression) #:select (bzip2))
             ((gnu packages guile) #:select (guile-3.0 guile-bytestructures))
             ((gnu packages pkg-config) #:select (pkg-config))
             (guix build-system gnu)
             (guix download)
             (guix git-download)
             ((guix licenses) #:prefix license:)
             (guix packages)
             (guix profiles))

(define guile-bzip2
  (package
    (name "guile-bzip2")
    (version "0.1.0")
    (source
     (origin
       (method url-fetch)
       (uri (string-append "https://files.ngyro.com/guile-bzip2/"
                           "guile-bzip2-" version ".tar.gz"))
       (sha256
        (base32 "1qnxk5fzg8m9ik1ckhjvi22kkhd810mrg8jzxiizhk920b69wbdh"))))
    (build-system gnu-build-system)
    (native-inputs
     (list autoconf
           automake
           guile-3.0
           guile-bytestructures
           pkg-config))
    (inputs (list guile-3.0 bzip2))
    (propagated-inputs (list guile-bytestructures))
    (home-page "http://git.ngyro.com/guile-bzip2/")
    (synopsis "Guile bindings for libbzip2")
    (description "Guile-bzip2 is a Guile wrapper for the libbzip2
library.  It exposes an interface similar to other Guile compression
libraries, like Guile-zlib.")
    (license license:gpl3+)))

(packages->manifest
 (cons guile-bzip2
       (map specification->package
            '("autoconf"
              "automake"
              "gcc-toolchain"
              "guile"
              "guile-gcrypt"
              "guile-lzma"
              "guile-quickcheck"
              "make"
              "perl"
              "pkg-config"
              "zlib"))))

